Skip to content

Get an app

GET/apps/{name}

Desired state plus observed status (instance id, phase, health, restarts).

path parameters
object
namestringrequired

App name (a DNS label, e.g. web).

Responses
200 OKOK
AppResponse
created_atstringdate-time
desired_statestring
disk_bytesintegerint64
envobject
additional properties
string
generationintegermin 0
healthHealthCheck
cmdarray
items
string
healthy_thresholdinteger
interval_sinteger
pathstring
portinteger
start_period_sinteger
timeout_sinteger
typestring
unhealthy_thresholdinteger
idstring
imageImageRef
ocistring
pathstring
memory_mibinteger
namestring
networkNetworkRequest
allowlistarray
items
string
enabledboolean
publisharray
items
PortMapping
guest_portinteger
host_ipstring
host_portinteger
protocolstring
pullstring
restartWireRestartPolicy
max_retriesinteger
policystring
serviceWireServiceSpec
cmdarray | null
items
string
cwdstring
envobject
additional properties
string
env_exactboolean
log_buffer_bytesinteger
restartWireRestartPolicy
max_retriesinteger
policystring
stop_grace_sinteger
stop_signalstring
userstring
statusAppStatus
healthstring
instance_idstring
last_errorstring
phasestring
restartsinteger
updated_atstringdate-time
vcpusinteger
404 Not foundNot Found
ErrorResponse
errorstring
501 Not Implemented
ErrorResponse
errorstring
Authentication
bearerAuthHTTP bearer. Daemon API key. Omit on a keyless loopback daemon.
Request
GET/apps/{name}
cURL
curl '/apps/{name}'
Response
200 OK
{
  "created_at": "2026-01-02T15:04:05Z",
  "desired_state": "string",
  "disk_bytes": 0,
  "env": {},
  "generation": 0,
  "health": {
    "cmd": [
      "string"
    ],
    "healthy_threshold": 0,
    "interval_s": 0,
    "path": "string",
    "port": 0,
    "start_period_s": 0,
    "timeout_s": 0,
    "type": "string",
    "unhealthy_threshold": 0
  },
  "id": "string",
  "image": {
    "oci": "string",
    "path": "string"
  },
  "memory_mib": 0,
  "name": "string",
  "network": {
    "allowlist": [
      "string"
    ],
    "enabled": false
  },
  "publish": [
    {
      "guest_port": 0,
      "host_ip": "string",
      "host_port": 0,
      "protocol": "string"
    }
  ],
  "pull": "string",
  "restart": {
    "max_retries": 0,
    "policy": "string"
  },
  "service": {
    "cmd": [
      "string"
    ],
    "cwd": "string",
    "env": {},
    "env_exact": false,
    "log_buffer_bytes": 0,
    "restart": {
      "max_retries": 0,
      "policy": "string"
    },
    "stop_grace_s": 0,
    "stop_signal": "string",
    "user": "string"
  },
  "status": {
    "health": "string",
    "instance_id": "string",
    "last_error": "string",
    "phase": "string",
    "restarts": 0
  },
  "updated_at": "2026-01-02T15:04:05Z",
  "vcpus": 0
}
Was this page helpful?